/** Liste.java
 * 
 *  Liste als abstrakter Datentyp
 */


public class Liste {

  ListenElement kopf;

  public void insert(ListenElement neuKopf) {
	neuKopf.next = kopf;
	kopf = neuKopf;
  }

  public void delete() {
	kopf = kopf.next;
  }

  public boolean isEmpty() {
	return (kopf == null);
  }

  public int length() {
    	ListenElement hilfsElement = kopf;
	int l = 0;
	while (hilfsElement != null) {
	  l++;
	  hilfsElement = hilfsElement.next;
  	}
	return l;
  }

  public void show() {
	if (this.isEmpty()) System.out.println("Eine leere Liste.");
    		else {
      			ListenElement ausg = kopf;
      			while(ausg != null) {
         			System.out.print(ausg.expose());  
         			ausg = ausg.getNext();
				if (ausg != null)
					System.out.print(", " ); 
      			}
      			System.out.println();
    		}
  }
}

// Liste
