/** IntListe.java
 * 
 *  Liste von int-Werten
 */


public class IntListe {

  IntListenElement kopf;


  public void insert(IntListenElement neuKopf) {
	neuKopf.next = kopf;
	kopf = neuKopf;
  }

  public void delete() {
	kopf = kopf.next;
  }

  public boolean isEmpty() {
	return (kopf == null);
  }

  public int length() {
    	IntListenElement hilfsElement = kopf;
	int l = 0;
	while (hilfsElement != null) {
	  l++;
	  hilfsElement = hilfsElement.next;
  	}
	return l;
  }

  public void show() {
	if (this.isEmpty()) System.out.println("Eine leere Liste.");
    else {
      IntListenElement ausg = kopf;
      while(ausg != null) {
         System.out.print(ausg.getWert());
         ausg = ausg.getNext();
         if (ausg != null)
	     System.out.print(", ");
      }
      System.out.println();
    }
  }
}

// IntListe.java
